<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      Map
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

 

  <ion-row>
    <ion-col>
      <div class="map-wrapper">

        <div #map id="map"></div>
      </div>
     
   

    </ion-col>
  </ion-row>

  

<ion-row>
  <ion-col text-center>
    <ion-button (click)="requestAccess('You are about to request access. Continue?')" [disabled]="disableBtn" *ngIf="!currentUser.isAdmin" color="primary" expand="block" size="large">REQUEST ACCESS</ion-button>
  </ion-col>
</ion-row>



 

</ion-content>

<ion-footer>
  <ion-row>
    <ion-col text-center>
  <ion-button (click)="logout()" color="dark">
    Log out
  </ion-button>
</ion-col>
</ion-row>
</ion-footer>
